# List files

Launch stage: GA

`GET /api/2.0/marketplace-provider/files`

`GET /api/2.1/marketplace-provider/files`

List files attached to a parent entity.

API scopes: marketplace

## Query parameters

- `file_parent` (object, required)
  - `parent_id` (string, optional)
  - `file_parent_type` (string, optional)
    Possible values:
    - `PROVIDER`
    - `LISTING`
    - `LISTING_RESOURCE`
- `page_token` (string, optional)
- `page_size` (int32, optional)

## Returns

- `file_infos` (array of object, optional)
  - `id` (string, optional)
  - `marketplace_file_type` (string, optional)
    Possible values:
    - `PROVIDER_ICON`
    - `EMBEDDED_NOTEBOOK`
    - `APP`
  - `file_parent` (object, optional)
    - `parent_id` (string, optional)
    - `file_parent_type` (string, optional)
      Possible values:
      - `PROVIDER`
      - `LISTING`
      - `LISTING_RESOURCE`
  - `mime_type` (string, optional)
  - `download_link` (string, optional)
  - `created_at` (int64, optional)
  - `updated_at` (int64, optional)
  - `display_name` (string, optional)
    Name displayed to users for applicable files, e.g. embedded notebooks
  - `status` (string, optional)
    Possible values:
    - `FILE_STATUS_PUBLISHED`
    - `FILE_STATUS_STAGING`
    - `FILE_STATUS_SANITIZING`
    - `FILE_STATUS_SANITIZATION_FAILED`
  - `status_message` (string, optional)
    Populated if status is in a failed state with more information on reason for the failure.
- `next_page_token` (string, optional)

## Response

```json
{
  "file_infos": [
    {
      "id": "string",
      "marketplace_file_type": "PROVIDER_ICON",
      "file_parent": {},
      "mime_type": "string",
      "download_link": "string",
      "created_at": 0,
      "updated_at": 0,
      "display_name": "string",
      "status": "FILE_STATUS_PUBLISHED",
      "status_message": "string"
    }
  ],
  "next_page_token": "string"
}
```

